Namespace
library
Image / Tag
hylang:1-pypy
Content Digest
sha256:c65202c8b1dea2cb7d5470a0450036643d651905dd1e1e6d409033f73a78f24c
Details
Created

2026-06-11 02:40:07 UTC

Size

70.2 MB

Content Digest
Environment
HYRULE_VERSION

1.1.0

HY_VERSION

1.3.0

LANG

C.UTF-8

PATH

/opt/pypy/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PYPY_VERSION

7.3.23


Layers

[#000] sha256:720f951a68f4f9ab464e52b53cf88cfb86bc876b3f00956d000420777ab93c0c - 42.51% (29.9 MB)

[#001] sha256:c3fb100aef164519635acb0b17d78a85ec237d4b4c3323a0cf80dba31d3fd88b - 1.67% (1.17 MB)

[#002] sha256:5bb8fe3add0cff6fd74d5f16a99acc3c9c08110e1bb8ed52bc78e6b5b2f7f9c3 - 45.88% (32.2 MB)

[#003] sha256:3eae47de3ca48db1e1e4c4f151b3a559b879436ad4ac2ed8937b0552881b0d46 - 9.95% (6.99 MB)


History
2026-06-10 00:00:00 UTC (debuerreotype 0.17)

# debian.sh --arch 'i386' out/ 'trixie' '@1781049600'

2026-06-11 01:16:19 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates; rm -rf /var/lib/apt/lists/* # buildkit

2026-06-11 01:17:09 UTC (buildkit.dockerfile.v0)

ENV LANG=C.UTF-8

2026-06-11 01:17:09 UTC (buildkit.dockerfile.v0)

ENV PATH=/opt/pypy/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2026-06-11 01:17:09 UTC (buildkit.dockerfile.v0)

ENV PYPY_VERSION=7.3.23

2026-06-11 01:17:09 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in 'amd64') url='https://downloads.python.org/pypy/pypy3.11-v7.3.23-linux64.tar.bz2'; sha256='16f9f56e82d1f4ec95a324c1a8cacfd78afc7f0656c0a809a18725ef4391453a'; ;; 'arm64') url='https://downloads.python.org/pypy/pypy3.11-v7.3.23-aarch64.tar.bz2'; sha256='5433ac0ad526aeb35025ef8509bed65cd62ea35cb9e21ac649c69a5eff4eecb6'; ;; 'i386') url='https://downloads.python.org/pypy/pypy3.11-v7.3.23-linux32.tar.bz2'; sha256='c7e2ffb173dcadbe4708a2e606e0b705474c1c33f25a09a4084f265d538172e4'; ;; *) echo >&2 "error: current architecture ($dpkgArch) does not have a corresponding PyPy $PYPY_VERSION binary release"; exit 1 ;; esac; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends bzip2 wget libfontconfig1 ; wget -O pypy.tar.bz2 "$url" --progress=dot:giga; echo "$sha256 *pypy.tar.bz2" | sha256sum --check --strict -; mkdir /opt/pypy; tar -xjC /opt/pypy --strip-components=1 -f pypy.tar.bz2; find /opt/pypy/lib* -depth -type d -a \( -name test -o -name tests \) -exec rm -rf '{}' +; rm pypy.tar.bz2; rm -v /opt/pypy/lib/libtk*.so /opt/pypy/lib/libz.so*; ln -sv '/opt/pypy/bin/pypy3' /usr/local/bin/; pypy3 --version; cd /opt/pypy/lib/pypy3.11; if [ -f _gdbm_build.py ]; then apt-get install -y --no-install-recommends gcc libc6-dev libgdbm-dev; pypy3 _gdbm_build.py; fi; if [ -f _ssl_build.py ]; then apt-get install -y --no-install-recommends gcc libc6-dev libssl-dev; pypy3 _ssl_build.py; fi; if [ -f _lzma_build.py ]; then apt-get install -y --no-install-recommends gcc libc6-dev liblzma-dev; pypy3 _lzma_build.py; fi; if [ -f _sqlite3_build.py ]; then apt-get install -y --no-install-recommends gcc libc6-dev libsqlite3-dev; pypy3 _sqlite3_build.py; fi; if [ -f _tkinter/tklib_build.py ]; then apt-get install -y --no-install-recommends gcc libc6-dev tk-dev; pypy3 _tkinter/tklib_build.py; fi; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark > /dev/null; export shellPid="$$"; find /opt/pypy -type f -executable -exec ldd '{}' ';' | grep -vE 'lib(tcl|tk|X[a-z]*)[0-9]*[.]' | awk '/not found/ { print >> "/dev/stderr"; system("kill -9 -$shellPid") } /=>/ { so = $(NF-1); if (index(so, "/usr/local/") == 1 || index(so, "/opt/pypy/") == 1) { next }; gsub("^/(usr/)?", "", so); printf "*%s\n", so }' | sort -u | xargs -rt dpkg-query --search | awk 'sub(":$", "", $1) { print $1 }' | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; pypy3 --version; pypy3 -m ensurepip --default-pip; pip --version; pip install --disable-pip-version-check --no-cache-dir --no-compile 'wheel<0.46'; find /opt/pypy -depth \( \( -type d -a \( -name test -o -name tests \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' + # buildkit

2026-06-11 01:17:09 UTC (buildkit.dockerfile.v0)

CMD ["pypy3"]

2026-06-11 02:40:07 UTC (buildkit.dockerfile.v0)

ENV HY_VERSION=1.3.0

2026-06-11 02:40:07 UTC (buildkit.dockerfile.v0)

ENV HYRULE_VERSION=1.1.0

2026-06-11 02:40:07 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c pip install --no-cache-dir "hy == $HY_VERSION" "hyrule == $HYRULE_VERSION" # buildkit

2026-06-11 02:40:07 UTC (buildkit.dockerfile.v0)

CMD ["hy"]

Details
Created

2026-06-11 02:41:01 UTC

Size

72.6 MB

Content Digest
Environment
HYRULE_VERSION

1.1.0

HY_VERSION

1.3.0

LANG

C.UTF-8

PATH

/opt/pypy/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PYPY_VERSION

7.3.23


Layers

[#000] sha256:72c03230f1363a3fb61d2f98504cf168bad3fe22f511ad2005dc021515d7ce97 - 39.15% (28.4 MB)

[#001] sha256:5ef083b34dc73fdd84266d654e7d122b5e6cee6a5f1358c934e44f6585e908ee - 1.6% (1.16 MB)

[#002] sha256:308a6695418528592fd38796bed4c150d9340f69b290af4c0654c98ea7cf382e - 49.62% (36 MB)

[#003] sha256:3e207870979e0d9f0ac75d611c09bfaf0833a46261e941058f5e0c00298e3364 - 9.63% (6.99 MB)


History
2026-06-10 00:00:00 UTC (debuerreotype 0.17)

# debian.sh --arch 'amd64' out/ 'trixie' '@1781049600'

2026-06-11 00:57:53 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates; rm -rf /var/lib/apt/lists/* # buildkit

2026-06-11 00:58:44 UTC (buildkit.dockerfile.v0)

ENV LANG=C.UTF-8

2026-06-11 00:58:44 UTC (buildkit.dockerfile.v0)

ENV PATH=/opt/pypy/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2026-06-11 00:58:44 UTC (buildkit.dockerfile.v0)

ENV PYPY_VERSION=7.3.23

2026-06-11 00:58:44 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in 'amd64') url='https://downloads.python.org/pypy/pypy3.11-v7.3.23-linux64.tar.bz2'; sha256='16f9f56e82d1f4ec95a324c1a8cacfd78afc7f0656c0a809a18725ef4391453a'; ;; 'arm64') url='https://downloads.python.org/pypy/pypy3.11-v7.3.23-aarch64.tar.bz2'; sha256='5433ac0ad526aeb35025ef8509bed65cd62ea35cb9e21ac649c69a5eff4eecb6'; ;; 'i386') url='https://downloads.python.org/pypy/pypy3.11-v7.3.23-linux32.tar.bz2'; sha256='c7e2ffb173dcadbe4708a2e606e0b705474c1c33f25a09a4084f265d538172e4'; ;; *) echo >&2 "error: current architecture ($dpkgArch) does not have a corresponding PyPy $PYPY_VERSION binary release"; exit 1 ;; esac; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends bzip2 wget libfontconfig1 ; wget -O pypy.tar.bz2 "$url" --progress=dot:giga; echo "$sha256 *pypy.tar.bz2" | sha256sum --check --strict -; mkdir /opt/pypy; tar -xjC /opt/pypy --strip-components=1 -f pypy.tar.bz2; find /opt/pypy/lib* -depth -type d -a \( -name test -o -name tests \) -exec rm -rf '{}' +; rm pypy.tar.bz2; rm -v /opt/pypy/lib/libtk*.so /opt/pypy/lib/libz.so*; ln -sv '/opt/pypy/bin/pypy3' /usr/local/bin/; pypy3 --version; cd /opt/pypy/lib/pypy3.11; if [ -f _gdbm_build.py ]; then apt-get install -y --no-install-recommends gcc libc6-dev libgdbm-dev; pypy3 _gdbm_build.py; fi; if [ -f _ssl_build.py ]; then apt-get install -y --no-install-recommends gcc libc6-dev libssl-dev; pypy3 _ssl_build.py; fi; if [ -f _lzma_build.py ]; then apt-get install -y --no-install-recommends gcc libc6-dev liblzma-dev; pypy3 _lzma_build.py; fi; if [ -f _sqlite3_build.py ]; then apt-get install -y --no-install-recommends gcc libc6-dev libsqlite3-dev; pypy3 _sqlite3_build.py; fi; if [ -f _tkinter/tklib_build.py ]; then apt-get install -y --no-install-recommends gcc libc6-dev tk-dev; pypy3 _tkinter/tklib_build.py; fi; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark > /dev/null; export shellPid="$$"; find /opt/pypy -type f -executable -exec ldd '{}' ';' | grep -vE 'lib(tcl|tk|X[a-z]*)[0-9]*[.]' | awk '/not found/ { print >> "/dev/stderr"; system("kill -9 -$shellPid") } /=>/ { so = $(NF-1); if (index(so, "/usr/local/") == 1 || index(so, "/opt/pypy/") == 1) { next }; gsub("^/(usr/)?", "", so); printf "*%s\n", so }' | sort -u | xargs -rt dpkg-query --search | awk 'sub(":$", "", $1) { print $1 }' | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; pypy3 --version; pypy3 -m ensurepip --default-pip; pip --version; pip install --disable-pip-version-check --no-cache-dir --no-compile 'wheel<0.46'; find /opt/pypy -depth \( \( -type d -a \( -name test -o -name tests \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' + # buildkit

2026-06-11 00:58:44 UTC (buildkit.dockerfile.v0)

CMD ["pypy3"]

2026-06-11 02:41:01 UTC (buildkit.dockerfile.v0)

ENV HY_VERSION=1.3.0

2026-06-11 02:41:01 UTC (buildkit.dockerfile.v0)

ENV HYRULE_VERSION=1.1.0

2026-06-11 02:41:01 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c pip install --no-cache-dir "hy == $HY_VERSION" "hyrule == $HYRULE_VERSION" # buildkit

2026-06-11 02:41:01 UTC (buildkit.dockerfile.v0)

CMD ["hy"]

Details
Created

2026-06-09 23:27:56 UTC

Size

2.04 GB

Content Digest
Environment
HYRULE_VERSION

1.1.0

HY_VERSION

1.3.0

PYPY_VERSION

7.3.23


Layers

[#000] sha256:3cc21a1b754848d23f00aa65cb94ec34c9a5dc6028b3aada42039c824738d02f - 68.08% (1.39 GB)

[#001] sha256:6897a04901ec162be0eabd7eb636b5ac50d6e37c880f1db618610f2d777b1ce6 - 29.4% (613 MB)

[#002] sha256:89a031fbbd9fc892ef9346929f87c3acb83aa1453c7e42f79e7f8a2c465848d9 - 0.0% (1.3 KB)

[#003] sha256:20a2c242a0311379ed81c8dabc136917848170f682041e2aac96fb1c8474a81a - 0.02% (463 KB)

[#004] sha256:c9041b816d9ffa961c141e579dc781f317e03b8359c5b938e2624cd55171fe7e - 0.71% (14.8 MB)

[#005] sha256:9c5436773812d2a084f9431efe448d25f67f63ecf4ba4bdb31272f081472d865 - 0.0% (1.26 KB)

[#006] sha256:e7dc41efe1fd58593ac6ac256eeb83e8b12785945cc46b9632fa86de17188a1b - 1.41% (29.4 MB)

[#007] sha256:3e8eaa121a4d4b61d1a2f0f5cf39138beafb532f4ae22879b3a748e578b0feb1 - 0.0% (1.26 KB)

[#008] sha256:2e6b79cdf0a98a036b2b19f8051103eec2324cbea9243d555b977a77e97f6fc4 - 0.0% (1.26 KB)

[#009] sha256:0bf12373efb663f96c3a6c0fc51c133764f4e027806d7bd61595ec579b9ed336 - 0.0% (1.28 KB)

[#010] sha256:b42e1ceeedfa33f40ba8a94136ac231ba38d1e3c9b04ec4e61735f43668c9375 - 0.37% (7.71 MB)

[#011] sha256:078b15e3394d2f0c4e5cc88987a9ac2329767f9de04be7c9cee507abda64f3ef - 0.0% (1.29 KB)


History
2025-10-09 07:51:18 UTC

Apply image 10.0.20348.4294

2026-06-07 06:43:23 UTC

Install update 10.0.20348.5256

2026-06-09 22:19:23 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2026-06-09 22:24:33 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('C:\pypy;C:\pypy\Scripts;{0}' -f $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); [Environment]::SetEnvironmentVariable('PATH', $newPath, [EnvironmentVariableTarget]::Machine); Write-Host 'Complete.'

2026-06-09 22:24:43 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = 'https://download.microsoft.com/download/6/A/A/6AA4EDFF-645B-48C5-81CC-ED5963AEAD48/vc_redist.x64.exe'; Write-Host ('Downloading {0} ...' -f $url); Invoke-WebRequest -Uri $url -OutFile 'vc.exe'; $sha256 = 'da66717784c192f1004e856bbcf7b3e13b7bf3ea45932c48e4c9b9a50ca80965'; Write-Host ('Verifying sha256 ({0}) ...' -f $sha256); if ((Get-FileHash vc.exe -Algorithm sha256).Hash -ne $sha256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Installing ...'; Start-Process -NoNewWindow -Wait -FilePath .\vc.exe -ArgumentList @( '/install', '/quiet', '/norestart' ); Write-Host 'Removing ...'; Remove-Item vc.exe -Force; Write-Host 'Complete.'

2026-06-09 22:24:43 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYPY_VERSION=7.3.23

2026-06-09 22:25:20 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = 'https://downloads.python.org/pypy/pypy3.11-v7.3.23-win64.zip'; Write-Host ('Downloading {0} ...' -f $url); Invoke-WebRequest -Uri $url -OutFile 'pypy.zip'; $sha256 = '948b8ea58dea5b9917210fe4afd242c788fbfaba1c3f1a25e696a404f703389a'; Write-Host ('Verifying sha256 ({0}) ...' -f $sha256); if ((Get-FileHash pypy.zip -Algorithm sha256).Hash -ne $sha256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive pypy.zip -DestinationPath C:\; Write-Host 'Removing ...'; Remove-Item pypy.zip -Force; Write-Host 'Renaming ...'; Rename-Item -Path C:\pypy3.11-v7.3.23-win64 -NewName C:\pypy; Write-Host 'Verifying install ("pypy --version") ...'; pypy --version; Write-Host 'Installing pip ...'; pypy -m ensurepip --default-pip; Write-Host 'Verifying pip install ...'; pip --version; Write-Host 'Installing "wheel" (backwards compat) ...'; pip install --disable-pip-version-check --no-cache-dir --no-compile 'wheel<0.46'; Write-Host 'Cleanup install ...'; Get-ChildItem -Path C:\pypy -Include @( 'test', 'tests' ) -Directory -Recurse | Remove-Item -Force -Recurse; Get-ChildItem -Path C:\pypy -Include @( '*.pyc', '*.pyo' ) -File -Recurse | Remove-Item -Force; Write-Host 'Complete.'

2026-06-09 22:25:20 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["pypy"]

2026-06-09 23:27:06 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV HY_VERSION=1.3.0

2026-06-09 23:27:07 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV HYRULE_VERSION=1.1.0

2026-06-09 23:27:55 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; pip install --no-cache-dir ('hy == {0}' -f $env:HY_VERSION) ('hyrule == {0}' -f $env:HYRULE_VERSION)

2026-06-09 23:27:56 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["hy"]

Details
Created

2026-06-09 23:23:34 UTC

Size

2.17 GB

Content Digest
Environment
HYRULE_VERSION

1.1.0

HY_VERSION

1.3.0

PYPY_VERSION

7.3.23


Layers

[#000] sha256:0938cf51b672b81c9804d1d5f0c57031c931f41b279270e84820c63642d6a3bd - 65.25% (1.42 GB)

[#001] sha256:2ee71d57b2226db82d002abc39a97b7dd144f007db435566364a0285bf115b83 - 32.39% (721 MB)

[#002] sha256:0472773a1127321e8af8a87afc279879bfd4be1914319a9126f4e2bf16d44d10 - 0.0% (1.25 KB)

[#003] sha256:d897032e05c46268e060a9afec86d9fdde3e573fe8674e74e4c941154084f3a4 - 0.02% (365 KB)

[#004] sha256:36493fb5374b9cbae7b45554f8f4fdd2e9c533e5b66bcb57d58f4e95e5211bc8 - 0.67% (14.8 MB)

[#005] sha256:6e42013d9e8df53d7ce2b50b256c35339e0f8fe1bad73b4151808cabf0a87547 - 0.0% (1.25 KB)

[#006] sha256:fae9831588d9520ae0589359431bb7a4fc6782b6d313c153e2e5c8f9f3b7929e - 1.32% (29.5 MB)

[#007] sha256:4e8ce202232b3f6abbfc94d768dfcb950c496bbbbfc76269f4de5092cd77646c - 0.0% (1.25 KB)

[#008] sha256:f962094da3d9e7fd580c02a36a757febf2ac6bff082fcab989087090dd1bed29 - 0.0% (1.27 KB)

[#009] sha256:b8abe538cdf2e0036c4e198a7720db8508c8b675487cbc360f424b423dee99a7 - 0.0% (1.26 KB)

[#010] sha256:2f6a38e92e072af0586e0d0c54a27de71e4e05872ff11ca352ed3adcd0aaea6d - 0.35% (7.75 MB)

[#011] sha256:04b4101c779408c53f71a6d079e22c05b4115cf46ceece20583b5429c9c98ede - 0.0% (1.25 KB)


History
2026-01-11 09:57:36 UTC

Apply image 10.0.26100.32230

2026-06-07 07:36:39 UTC

Install update 10.0.26100.32995

2026-06-09 22:12:32 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2026-06-09 22:25:05 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('C:\pypy;C:\pypy\Scripts;{0}' -f $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); [Environment]::SetEnvironmentVariable('PATH', $newPath, [EnvironmentVariableTarget]::Machine); Write-Host 'Complete.'

2026-06-09 22:25:14 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = 'https://download.microsoft.com/download/6/A/A/6AA4EDFF-645B-48C5-81CC-ED5963AEAD48/vc_redist.x64.exe'; Write-Host ('Downloading {0} ...' -f $url); Invoke-WebRequest -Uri $url -OutFile 'vc.exe'; $sha256 = 'da66717784c192f1004e856bbcf7b3e13b7bf3ea45932c48e4c9b9a50ca80965'; Write-Host ('Verifying sha256 ({0}) ...' -f $sha256); if ((Get-FileHash vc.exe -Algorithm sha256).Hash -ne $sha256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Installing ...'; Start-Process -NoNewWindow -Wait -FilePath .\vc.exe -ArgumentList @( '/install', '/quiet', '/norestart' ); Write-Host 'Removing ...'; Remove-Item vc.exe -Force; Write-Host 'Complete.'

2026-06-09 22:25:14 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYPY_VERSION=7.3.23

2026-06-09 22:25:53 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = 'https://downloads.python.org/pypy/pypy3.11-v7.3.23-win64.zip'; Write-Host ('Downloading {0} ...' -f $url); Invoke-WebRequest -Uri $url -OutFile 'pypy.zip'; $sha256 = '948b8ea58dea5b9917210fe4afd242c788fbfaba1c3f1a25e696a404f703389a'; Write-Host ('Verifying sha256 ({0}) ...' -f $sha256); if ((Get-FileHash pypy.zip -Algorithm sha256).Hash -ne $sha256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive pypy.zip -DestinationPath C:\; Write-Host 'Removing ...'; Remove-Item pypy.zip -Force; Write-Host 'Renaming ...'; Rename-Item -Path C:\pypy3.11-v7.3.23-win64 -NewName C:\pypy; Write-Host 'Verifying install ("pypy --version") ...'; pypy --version; Write-Host 'Installing pip ...'; pypy -m ensurepip --default-pip; Write-Host 'Verifying pip install ...'; pip --version; Write-Host 'Installing "wheel" (backwards compat) ...'; pip install --disable-pip-version-check --no-cache-dir --no-compile 'wheel<0.46'; Write-Host 'Cleanup install ...'; Get-ChildItem -Path C:\pypy -Include @( 'test', 'tests' ) -Directory -Recurse | Remove-Item -Force -Recurse; Get-ChildItem -Path C:\pypy -Include @( '*.pyc', '*.pyo' ) -File -Recurse | Remove-Item -Force; Write-Host 'Complete.'

2026-06-09 22:25:53 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["pypy"]

2026-06-09 23:22:51 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV HY_VERSION=1.3.0

2026-06-09 23:22:51 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV HYRULE_VERSION=1.1.0

2026-06-09 23:23:34 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; pip install --no-cache-dir ('hy == {0}' -f $env:HY_VERSION) ('hyrule == {0}' -f $env:HYRULE_VERSION)

2026-06-09 23:23:34 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["hy"]

Details
Created

2026-06-11 02:41:34 UTC

Size

71.2 MB

Content Digest
Environment
HYRULE_VERSION

1.1.0

HY_VERSION

1.3.0

LANG

C.UTF-8

PATH

/opt/pypy/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PYPY_VERSION

7.3.23


Layers

[#000] sha256:a25cd16f2d8653f652f8292b34b21bfbabdc85d6b39861a24b85f0896df1a95e - 40.41% (28.8 MB)

[#001] sha256:280600df45c64612d0e451bce3aad3ebed9378fefc127488a69c8333b54e4fe7 - 1.61% (1.15 MB)

[#002] sha256:e223166ff287db1fde10d1904340cd85dffcb006164487f601f48146da2d9252 - 48.16% (34.3 MB)

[#003] sha256:787ded62ef237d968b8d063fa0270e3761874c791600c5415b394781542e64af - 9.82% (6.99 MB)


History
2026-06-10 00:00:00 UTC (debuerreotype 0.17)

# debian.sh --arch 'arm64' out/ 'trixie' '@1781049600'

2026-06-11 00:59:49 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates; rm -rf /var/lib/apt/lists/* # buildkit

2026-06-11 01:00:39 UTC (buildkit.dockerfile.v0)

ENV LANG=C.UTF-8

2026-06-11 01:00:39 UTC (buildkit.dockerfile.v0)

ENV PATH=/opt/pypy/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2026-06-11 01:00:39 UTC (buildkit.dockerfile.v0)

ENV PYPY_VERSION=7.3.23

2026-06-11 01:00:39 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in 'amd64') url='https://downloads.python.org/pypy/pypy3.11-v7.3.23-linux64.tar.bz2'; sha256='16f9f56e82d1f4ec95a324c1a8cacfd78afc7f0656c0a809a18725ef4391453a'; ;; 'arm64') url='https://downloads.python.org/pypy/pypy3.11-v7.3.23-aarch64.tar.bz2'; sha256='5433ac0ad526aeb35025ef8509bed65cd62ea35cb9e21ac649c69a5eff4eecb6'; ;; 'i386') url='https://downloads.python.org/pypy/pypy3.11-v7.3.23-linux32.tar.bz2'; sha256='c7e2ffb173dcadbe4708a2e606e0b705474c1c33f25a09a4084f265d538172e4'; ;; *) echo >&2 "error: current architecture ($dpkgArch) does not have a corresponding PyPy $PYPY_VERSION binary release"; exit 1 ;; esac; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends bzip2 wget libfontconfig1 ; wget -O pypy.tar.bz2 "$url" --progress=dot:giga; echo "$sha256 *pypy.tar.bz2" | sha256sum --check --strict -; mkdir /opt/pypy; tar -xjC /opt/pypy --strip-components=1 -f pypy.tar.bz2; find /opt/pypy/lib* -depth -type d -a \( -name test -o -name tests \) -exec rm -rf '{}' +; rm pypy.tar.bz2; rm -v /opt/pypy/lib/libtk*.so /opt/pypy/lib/libz.so*; ln -sv '/opt/pypy/bin/pypy3' /usr/local/bin/; pypy3 --version; cd /opt/pypy/lib/pypy3.11; if [ -f _gdbm_build.py ]; then apt-get install -y --no-install-recommends gcc libc6-dev libgdbm-dev; pypy3 _gdbm_build.py; fi; if [ -f _ssl_build.py ]; then apt-get install -y --no-install-recommends gcc libc6-dev libssl-dev; pypy3 _ssl_build.py; fi; if [ -f _lzma_build.py ]; then apt-get install -y --no-install-recommends gcc libc6-dev liblzma-dev; pypy3 _lzma_build.py; fi; if [ -f _sqlite3_build.py ]; then apt-get install -y --no-install-recommends gcc libc6-dev libsqlite3-dev; pypy3 _sqlite3_build.py; fi; if [ -f _tkinter/tklib_build.py ]; then apt-get install -y --no-install-recommends gcc libc6-dev tk-dev; pypy3 _tkinter/tklib_build.py; fi; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark > /dev/null; export shellPid="$$"; find /opt/pypy -type f -executable -exec ldd '{}' ';' | grep -vE 'lib(tcl|tk|X[a-z]*)[0-9]*[.]' | awk '/not found/ { print >> "/dev/stderr"; system("kill -9 -$shellPid") } /=>/ { so = $(NF-1); if (index(so, "/usr/local/") == 1 || index(so, "/opt/pypy/") == 1) { next }; gsub("^/(usr/)?", "", so); printf "*%s\n", so }' | sort -u | xargs -rt dpkg-query --search | awk 'sub(":$", "", $1) { print $1 }' | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; pypy3 --version; pypy3 -m ensurepip --default-pip; pip --version; pip install --disable-pip-version-check --no-cache-dir --no-compile 'wheel<0.46'; find /opt/pypy -depth \( \( -type d -a \( -name test -o -name tests \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' + # buildkit

2026-06-11 01:00:39 UTC (buildkit.dockerfile.v0)

CMD ["pypy3"]

2026-06-11 02:41:34 UTC (buildkit.dockerfile.v0)

ENV HY_VERSION=1.3.0

2026-06-11 02:41:34 UTC (buildkit.dockerfile.v0)

ENV HYRULE_VERSION=1.1.0

2026-06-11 02:41:34 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c pip install --no-cache-dir "hy == $HY_VERSION" "hyrule == $HYRULE_VERSION" # buildkit

2026-06-11 02:41:34 UTC (buildkit.dockerfile.v0)

CMD ["hy"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete